org.apache.mina.proxy

## Class ProxyAuthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.security.sasl.SaslException
        - - org.apache.mina.proxy.ProxyAuthException

- All Implemented Interfaces:
    Serializable

      public class ProxyAuthException
      extends SaslException

  ProxyAuthException.java - This class extends `SaslException` and represents an authentication failure to the proxy.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyAuthException(String message)`
    `ProxyAuthException(String message, Throwable ex)`

  - ### Method Summary

    - ### Methods inherited from class javax.security.sasl.SaslException

      `getCause, initCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyAuthException

          public ProxyAuthException(String message)

    - #### ProxyAuthException

          public ProxyAuthException(String message,
                            Throwable ex)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.